#

include(`dict.h')
include(`KERcalls.h')

/*
 *       SCCS File Type - Emulator Source File
 *
 *       What identification string
 */
static char *_S_K32	"@(#)EM_K32.c	3.1";
	/****************************************************************/
	/*
	 *      K_walk_process_table
	 */


/*
 *      K_walk_process_table (
 *          1   index,    : cardinal: int    (* user process table index *)
 *          2  &p_seid    : seid    : long   (* of associated process    *)
 *              )
 */

K_walk_process_table( Pindex, Pp_seidP )
	cardinal        Pindex;
	seid            *Pp_seidP;
{
	K_err_num       ex;

	struct  {       /* Kwkpctb_param */
			cardinal        ind;    /* const */
			/* vars */
			seid            vp_seid;
		}pb;

	pb.ind = Pindex;

	ex = EMT32(&pb);

	*Pp_seidP   = pb.vp_seid;

	return(ex);
}
